%define upstream_name pybind11

Name:           python-%{upstream_name}
Version:        2.9.1
Release:        %mkrel 1
Summary:        Seamless operability between C++11 and Python
License:        BSD
Group:          Development/Python
URL:            https://github.com/pybind/pybind11
Source:         https://github.com/pybind/pybind11/archive/v%{version}/pybind11-%{version}.tar.xz
BuildArch:      noarch

%description
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

%package -n     python3-%{upstream_name}
License:        BSD
Summary:        Seamless operability between C++11 and Python3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

%package -n     pybind11-devel
License:        BSD
Summary:        Seamless operability between C++11 and Python3
Group:          Development/Libraries
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  eigen3
Requires:       cmake

%description -n pybind11-devel
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

This package contains the C++ headers.

%prep
%setup -qn %{upstream_name}-%{version}
%apply_patches

%build
%py3_build
%cmake -DPYBIND11_INSTALL:BOOL=TRUE \
       -DUSE_PYTHON_INCLUDE_DIR:BOOL=FALSE
%cmake_build

%install
%cmake_install
PYBIND11_USE_CMAKE=true \
%py3_install

%files -n pybind11-devel
%{_bindir}/pybind11-config
%{_includedir}/pybind11/
%{_datadir}/cmake/pybind11/

%files -n python3-%{upstream_name}
%doc LICENSE README.rst
%{python3_sitelib}/*


%changelog
* Wed Mar 02 2022 TerryN <terryn94 at gmail.com> 2.9.1-1pclos2022
- update and rebuild for python 3.10

* Fri Jul 23 2021 tex - 2.6.2-1pclos2021
- create pkg
